#URB    55  control  0x40 0x0c 0x83 0x00 len     1 wrote 0x41
#URB    56  control  0xc0 0x0c 0x84 0x00 len     1 read  0xcc
# PWRBIT:
# BUFEMPTY
# FEEDFSH
# SCANFSH
# HOMESNR
# LAMPSTS
# FEBUSY
# MOTMFLG
function decode ( value )
{
	if(and(value,128))
		printf("power on, ")
	else
		printf("power off, ")
	if(and(value,64))
		printf("buffer empty, ")
	else
		printf("buffer NOT empty, ")
	if(and(value,32))
		printf("feeding finished, ")
	else
		printf("feeding NOT finished, ")
	if(and(value,16))
		printf("scan finished, ")
	else
		printf("scan NOT finished, ")
	if(and(value,8))
		printf("head at home, ")
	else
		printf("head NOT at home, ")
	if(and(value,4))
		printf("lamp on, ")
	else
		printf("lamp off, ")
	if(and(value,2))
		printf("frontend busy, ")
	else
		printf("frontend ready, ")
	if(and(value,1))
		printf("motor running")
	else
		printf("motor stopped")
}
BEGIN {
	flag=0
}
{
	if(flag==1)
	{
		if((substr($0,12,43)=="control  0xc0 0x0c 0x84 0x00 len     1 read"))
		{
			printf "sanei_genesys_get_status()=%s\t\t",$11
			decode(strtonum($11))
			printf "\n"
		}
		else
		{
			print ex
			print $0
		}
		flag=0
	}
	else
	{
		if((substr($0,12,49)=="control  0x40 0x0c 0x83 0x00 len     1 wrote 0x41"))
		{
			ex=$0
			flag=1
		}
		else
			print $0
	}
}
